%global pypi_name kolla

Summary:        Build OpenStack container images
Name:           openstack-%{pypi_name}
Version:        15.2.0
Release:        3%{?dist}
License:        Apache-2.0
URL:            https://opendev.org/openstack/kolla
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch3000:	0001-kolla-add-loongarch-support.patch
BuildArch:      noarch

%description
Templates and tools from the Kolla project to build OpenStack container images.

%prep
%autosetup -p 1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n openstack-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/%{pypi_name}-build
%{_datadir}/%{pypi_name}

%changelog
* Wed Jan 22 2025 Huang Yang <huangyang@loongson.cn> - 15.2.0-3
- [Type] other
- [DESC] add loongarch info

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15.2.0-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 kianli <kianli@tencent.com> - 15.2.0-1
- Upgrade to 15.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 12.0.1-1
- Initial build
